Add a Git tag

POST https://{controlplane_path}/api/1/rest/public/project/git-tag/{project_path}      

Overview

This API associates the specified Git tag with the commit that is currently tracked by the specified project.

Prerequisites

  • Write access to the project
  • Git hosting provider requirements:
    • The environment (Org) must be correctly configured to use a Git hosting provider supported by SnapLogic.
    • The user must have an authenticated account with the Git hosting provider.
    • The project has checked out a Git repository.

    Learn more: SnapLogic - Git Integration

Limitations

  • You cannot use SnapLogic service accounts to call any of the SnapLogic Git operation APIs.

Request

 POST https://{controlplane_path}/api/1/rest/public/project/git-tag/{project_path}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
project_path
Required. The path to the SnapLogic project.

Format: /{env_org}/{project_space}/{project_name}

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

 {
  "tag" : "...",
  "message" : "..."
}
Key Type Description
tag string The Git tag to associate with the latest files in the Git repository.
message string Additional information about the added tag.

Response

 {
  "response_map": {
    "tag_sha": "...",
    "tag": "...",
    "message": "...",
    "tagger": "[email protected]",
    "commit_sha": "..."
  },
  "http_status_code": 200
}